/**
* Hide default select box, replace with fancy font picker
*/
jQuery(document).ready(function($) {
	// initialize the custom control for the font picker
	$(".fontPickerCustomControl").fontPickerCustomControl();
});

/**
* A small jquery plugin that does all of the hard work
*/
(function( $ ) {
	$.fn.fontPickerCustomControl = function() {

		//return the 'this' selector to maintain jquery chainability
		return this.each(function() {

			// cache this selector for further use
			thisFontPickerCustomControl = this;

			// hide select box
			$("select", this).hide();

			// show fancy content
			$(".fancyDisplay", this).show();

			var the_wedding_html = "";



			// add event listeners to fancy display
			$(".fancyDisplay ul li").on("click", function(event){
				// get index of clicked element
				var index = $(".fancyDisplay ul li", thisFontPickerCustomControl).index(this);

				// unselect all options
				$('select option', thisFontPickerCustomControl).removeAttr('selected');

				// select new element
				// simulate a change
				$('select :nth-child('+(index+1)+')', thisFontPickerCustomControl).attr('selected', 'selected').change();
			});

			$(".fancyDisplay ul li").on("click", function(event){
    				$(this).addClass('selected').siblings().removeClass('selected');
    				$(".fancyDisplay").hide();
    			});

			$(".the_wedding_font_select").on("click", function(event){
				$(".fancyDisplay").show();
			});

			$(".googleselect").change(function () {
				  // varible to hold string
		          	var str = "";
		          	var strv = "";
		          	$(".googleselect option:selected").each(function () {
				  		// when the select box is changed, we add the value text to the varible
		                str += $(this).text() + " ";
		                strv =$(this).val();
		              });
				  // then display it in the following class
		          $(".the_wedding_font_select span").text(str);
		          $(".the_wedding_font_select span").attr('id', strv);
		        })
		        .change();

		});

	};
})( jQuery );