<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <main class="main">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package The_Wedding
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<!-- pre-loader -->
<div class="pre-loader"></div>
<!-- pre-loader -->

<!-- overlay -->
<div class="overlay"></div>
<!-- overlay -->

<!-- scrollup -->
<div class="scrollup"></div>
<!-- scrollup -->

<!-- wraper_header -->
<header class="wraper_header">
	<a id="goto" class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'the-wedding' ); ?></a>
	<!-- wraper_header_main -->
	<div class="wraper_header_main">
		<div class="container">
			<!-- row -->
			<div class="row">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
					<!-- header_main -->
					<div class="header_main">
						<!-- logo -->
						<div class="logo">
							<?php the_wedding_site_logo(); ?>
							<?php the_wedding_site_title(); ?>
							<?php the_wedding_site_description(); ?>
						</div>
						<!-- logo -->
						<?php the_wedding_top_bar(); ?>
					</div>
					<!-- header_main -->
				</div>
			</div>
			<!-- row -->
		</div>
	</div>
	<!-- wraper_header_main -->

	<!-- wraper_header_navigation -->
	<div class="wraper_header_navigation">
		<div class="container">
			<!-- row -->
			<div class="row">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
					<!-- header_navigation -->
					<div class="header_navigation">
						<!-- responsive_navigation -->
						<div class="responsive_navigation hidden-lg hidden-md hidden-sm visible-xs"><i class="fa fa-bars"></i></div>
						<!-- responsive_navigation -->
						<!-- navigation -->
						<nav class="navigation visible-lg visible-md visible-sm hidden-xs">
							<?php
								// Display Main Navigation
								wp_nav_menu( array(
									'theme_location' => 'primary',
									'container' => false,
									'menu_class' => false,
									'echo' => true,
									'fallback_cb' => 'the_wedding_default_menu')
								);
							?>
						</nav>
						<!-- navigation -->
					</div>
					<!-- header_navigation -->
				</div>
			</div>
			<!-- row -->
		</div>
	</div>
	<!-- wraper_header_navigation -->
</header>
<!-- wraper_header -->

<!-- main -->
<main class="main">
	<?php if ( is_front_page() && is_home() ) : ?>
		<?php if ( get_header_image() ) : ?>
			<div class="wraper_home_banner" style='background-image:url("<?php header_image(); ?>");'>
		        <?php the_wedding_header_image_text(); ?>
		    </div>
		<?php endif; // End header image check. ?>
		<!-- Text Block after header image -->
		<?php the_wedding_text_block_after_header_image(); ?>
		<!-- Text Block after header image -->
	<?php endif; ?>
	<div id="content" class="site-content">