<?php
/**
 * Color Settings
 *
 * Register Color section, settings and controls for Theme Customizer
 *
 * @package The_Wedding
 */


/**
 * Adds all color settings to the Customizer
 *
 * @param object $wp_customize / Customizer Object
 */
function the_wedding_customize_register_color_settings( $wp_customize ) {

    // Add Section for Theme Options
    $wp_customize->add_section( 'the_wedding_section_color', array(
        'title'    => esc_html__( 'Color Settings', 'the-wedding' ),
        'priority' => 20,
        'panel' => 'the_wedding_options_panel'
        )
    );

    // Add settings for Primary Color
    $wp_customize->add_setting( 'the_wedding_theme_options[primary_color]', array(
        'default'       => '#e33846',
        'type'          => 'option',
        'capability'    => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ) );

    // Add controls for Primary Color
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'the_wedding_theme_options[primary_color]', array(
        'label'    => esc_html__( 'Primary Design Color', 'the-wedding' ),
        'section'   => 'the_wedding_section_color',
        'settings'  => 'the_wedding_theme_options[primary_color]',
        'priority'  => 20
    ) ) );
}
add_action( 'customize_register', 'the_wedding_customize_register_color_settings' );