<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package The_Wedding
*/
get_header();?>

<!-- main -->
<main class="main">
	<!-- wraper_home_blog -->
	<div class="wraper_home_blog">
		<div class="container">
			<!-- row -->
			<div class="row home_blog">
				<div class="col-lg-8 col-md-8 col-sm-7 col-xs-12" id="primary">
					<!-- home_blog_main -->
					<div class="home_blog_main">
						<?php if ( have_posts() ) : ?>
						<!-- home_blog_main_title -->
						<div class="home_blog_main_title">
							<h1><?php printf( esc_html__( 'Search Results for: %s', 'the-wedding' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
						</div>
						<!-- home_blog_main_title -->
						<!-- home_blog_main_posts -->
						<div class="home_blog_main_posts">
							<?php while ( have_posts() ) : the_post();
								get_template_part( 'template-parts/content', 'search' );
							endwhile; ?>
						</div>
						<!-- home_blog_main_posts -->
						<!-- home_blog_main_pagination -->
						<div class="home_blog_main_pagination">
							<?php the_posts_navigation(); ?>
						</div>
						<!-- home_blog_main_pagination -->
						<?php else :
							get_template_part( 'template-parts/content', 'none' );
						endif; ?>
					</div>
					<!-- home_blog_main -->
				</div>
				<div class="col-lg-4 col-md-4 col-sm-5 col-xs-12" id="secondary">
					<!-- home_blog_sidebar -->
					<div class="home_blog_sidebar">
						<?php get_sidebar();?>
					</div>
					<!-- home_blog_sidebar -->
				</div>
			</div>
			<!-- row -->
		</div>
	</div>
	<!-- wraper_home_blog -->
</main>
<!-- main -->

<?php get_footer();?>