<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package The_Wedding
 */

get_header();
?>

<!-- wraper_inner_banner -->
<div class="wraper_inner_banner" style="background-image:url('<?php echo get_stylesheet_directory_uri(); ?>/images/banner/inner-banner.jpg');">
	<div class="container">
		<!-- row -->
		<div class="row">
			<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
				<!-- Breadcrumbs -->
				<?php echo get_hansel_and_gretel_breadcrumbs(); ?>
				<!-- Breadcrumbs -->
			</div>
		</div>
		<!-- row -->
	</div>
</div>
<!-- wraper_inner_banner -->
<!-- wraper_home_blog -->
<div class="wraper_home_blog">
	<div class="container">
		<!-- row -->
		<div class="row home_blog">
			<div class="col-lg-8 col-md-8 col-sm-7 col-xs-12" id="primary">
				<!-- home_blog_main -->
				<div class="home_blog_main">
					<?php while ( have_posts() ) : the_post();?>
						<?php get_template_part( 'template-parts/content', 'single' );?>

						<!-- home_blog_main_comment -->
						<?php
							// If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) :
						?>
							<div class="home_blog_main_comment">
								<?php comments_template(); ?>
							</div>
						<?php endif; ?>
						<!-- home_blog_main_comment -->

						<!-- home_blog_main_pagination -->
						<div class="home_blog_main_pagination">
							<?php if ( is_singular( 'attachment' ) ) {
								// Parent post navigation.
								the_post_navigation( array(
									'prev_text' => _x( '<span class="meta-nav">Published in</span><span class="post-title">%title</span>', 'Parent post link', 'the-wedding' ),
								) );
							} elseif ( is_singular( 'post' ) ) {
								// Previous/next post navigation.
								the_post_navigation( array(
									'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'the-wedding' ) . '</span> ' .
										'<span class="screen-reader-text">' . __( 'Next post:', 'the-wedding' ) . '</span> ' .
										'<span class="post-title">%title</span>',
									'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous', 'the-wedding' ) . '</span> ' .
										'<span class="screen-reader-text">' . __( 'Previous post:', 'the-wedding' ) . '</span> ' .
										'<span class="post-title">%title</span>',
								) );
							}?>
						</div>
						<!-- home_blog_main_pagination -->

					<?php endwhile; // End of the loop.?>
				</div>
				<!-- home_blog_main -->
			</div>
			<div class="col-lg-4 col-md-4 col-sm-5 col-xs-12" id="secondary">
				<!-- home_blog_sidebar -->
				<div class="home_blog_sidebar">
					<?php get_sidebar(); ?>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
get_footer();
