<?php
/**
 * Template part for displaying a message that posts cannot be found.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package The_Wedding
 */
?>

<!-- home_blog_main_title -->
<div class="home_blog_main_title">
	<h1><?php esc_html_e( 'Nothing Found', 'the-wedding' ); ?></h1>
</div>
<!-- home_blog_main_title -->
<!-- home_blog_main_posts -->
<div class="home_blog_main_posts">
	<!-- home_blog_main_posts_item -->
	<div class="home_blog_main_posts_item">
		<div class="holder">
			<div class="data">
				<div class="text-center">
					<?php
					if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>
					<p><?php printf( wp_kses( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'the-wedding' ), array( 'a' => array( 'href' => array() ) ) ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>
					<?php elseif ( is_search() ) : ?>
					<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'the-wedding' ); ?></p>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
	<!-- home_blog_main_posts_item -->
</div>
<!-- home_blog_main_posts -->